Make res_config_ldap compile with the official OpenLDAP 2.3.X versions.
authorMichiel van Baak <michiel@vanbaak.info>
Fri, 28 Nov 2008 14:20:11 +0000 (14:20 +0000)
committerMichiel van Baak <michiel@vanbaak.info>
Fri, 28 Nov 2008 14:20:11 +0000 (14:20 +0000)
They removed the LDAP_DEPRECATED define from their source and since we are using a couple
of deprecated function calls we should define it with a CFLAG.

Tested by me on OpenBSD 4.4 and snuff-home on Linux to make sure everything keeps compiling.
It shouldn't break, we only define the LDAP_DEPRECATED with this which is what
all 2.2.X and older versions of OpenLDAP did in their own tree.

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@159734 65c4cc65-6c06-0410-ace0-fbb531ad65f3

res/Makefile

index 8084858..3129180 100644 (file)
@@ -29,6 +29,8 @@ ifneq ($(findstring $(OSARCH), mingw32 cygwin ),)
   res_agi.so_LIBS:= -lres_speech.so
 endif
 
+res_config_ldap.o: ASTCFLAGS+=-DLDAP_DEPRECATED
+
 ael/ael_lex.o: ael/ael_lex.c ../include/asterisk/ael_structs.h ael/ael.tab.h
 ael/ael_lex.o: ASTCFLAGS+=-I. -Iael -Wno-unused